CGAL 6.1.2 - Triangulated Surface Mesh Simplification: CGAL::Surface_mesh_simplification::Edge_length_stop_predicate< FT > Class Template Reference

CGAL 6.1.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members
CGAL::Surface_mesh_simplification::Edge_length_stop_predicate< FT > Class Template Reference
Reference Manual

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h>`

## Definition

template<typename FT>
class CGAL::Surface_mesh_simplification::Edge_length_stop_predicate< FT >

The class `Edge_length_stop_predicate` is a model for the `StopPredicate` concept, which returns `true` when the top edge in the priority queue is larger than a certain threshold.

This predicate is meant to be used with `Edge_length_cost`.

Template Parameters

  FT | is the number type of the point coordinates, and must be equal to `Edge_profile::FT`.

Is model of
  `StopPredicate`

Examples
  Surface_mesh_simplification/edge_collapse_all_short_edges.cpp.

## Creation
| Edge_length_stop_predicate (const Edge_profile::FT threshold)
| Initializes the predicate establishing the `threshold` value.

## Operations
bool | operator() (const Edge_profile::FT &, const Edge_profile &edge_profile, const Edge_profile::edges_size_type initial_edge_count, const Edge_profile::edges_size_type current_edge_count) const
| Returns `(CGAL::squared_distance(edge_profile.p0(),edge_profile.p1()) > threshold*threshold)`.

## Member Function Documentation

## ◆ operator()()

template<typename FT >

bool CGAL::Surface_mesh_simplification::Edge_length_stop_predicate< FT >::operator() | ( | const Edge_profile::FT & | ,
|  | const Edge_profile & | edge_profile,
|  | const Edge_profile::edges_size_type | initial_edge_count,
|  | const Edge_profile::edges_size_type | current_edge_count
| ) |  | const

Returns `(CGAL::squared_distance(edge_profile.p0(),edge_profile.p1()) > threshold*threshold)`.

All other parameters are ignored (but exist since this is a generic policy).